Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.annotations
Class TextAnnotation

    java.lang.Object
      org.jfree.chart.annotations.TextAnnotation

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CategoryTextAnnotation, XYTextAnnotation

public class TextAnnotation
extends java.lang.Object
implements java.io.Serializable

A base class for text annotations. This class records the content but not the location of the annotation.

See Also:
  Serialized Form

Field Summary
`static java.awt.Font` | `DEFAULT_FONT` The default font.
`static java.awt.Paint` | `DEFAULT_PAINT` The default paint.
`static org.jfree.ui.TextAnchor` | `DEFAULT_ROTATION_ANCHOR` The default rotation anchor.
`static double` | `DEFAULT_ROTATION_ANGLE` The default rotation angle.
`static org.jfree.ui.TextAnchor` | `DEFAULT_TEXT_ANCHOR` The default text anchor.

Constructor Summary
`protected` | `TextAnnotation(java.lang.String text)` Creates a text annotation with default settings.

Method Summary
`boolean` | `equals(java.lang.Object object)` Tests this object for equality with another object.
`java.awt.Font` | `getFont()` Returns the font for the annotation.
`java.awt.Paint` | `getPaint()` Returns the paint for the annotation.
`org.jfree.ui.TextAnchor` | `getRotationAnchor()` Returns the rotation anchor.
`double` | `getRotationAngle()` Returns the rotation angle.
`java.lang.String` | `getText()` Returns the text for the annotation.
`org.jfree.ui.TextAnchor` | `getTextAnchor()` Returns the text anchor.
`void` | `setFont(java.awt.Font font)` Sets the font for the annotation.
`void` | `setPaint(java.awt.Paint paint)` Sets the paint for the annotation.
`void` | `setRotationAnchor(org.jfree.ui.TextAnchor anchor)` Sets the rotation anchor point.
`void` | `setRotationAngle(double angle)` Sets the rotation angle.
`void` | `setText(java.lang.String text)` Sets the text for the annotation.
`void` | `setTextAnchor(org.jfree.ui.TextAnchor anchor)` Sets the text anchor (the point on the text bounding rectangle that is aligned to the (x, y) coordinate of the annotation).

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

  The default font.

### DEFAULT_PAINT

    public static final java.awt.Paint DEFAULT_PAINT

  The default paint.

### DEFAULT_TEXT_ANCHOR

    public static final org.jfree.ui.TextAnchor DEFAULT_TEXT_ANCHOR

  The default text anchor.

### DEFAULT_ROTATION_ANCHOR

    public static final org.jfree.ui.TextAnchor DEFAULT_ROTATION_ANCHOR

  The default rotation anchor.

### DEFAULT_ROTATION_ANGLE

    public static final double DEFAULT_ROTATION_ANGLE

  The default rotation angle.

  See Also:
    Constant Field Values

Constructor Detail

### TextAnnotation

    protected TextAnnotation(java.lang.String text)

  Creates a text annotation with default settings.

Parameters:
  `text` - the text.

Method Detail

### getText

    public java.lang.String getText()

  Returns the text for the annotation.

  Returns:
    The text.

### setText

    public void setText(java.lang.String text)

  Sets the text for the annotation.

  Parameters:
    `text` - the text.

### getFont

    public java.awt.Font getFont()

  Returns the font for the annotation.

  Returns:
    The font.

### setFont

    public void setFont(java.awt.Font font)

  Sets the font for the annotation.

  Parameters:
    `font` - the font.

### getPaint

    public java.awt.Paint getPaint()

  Returns the paint for the annotation.

  Returns:
    The paint.

### setPaint

    public void setPaint(java.awt.Paint paint)

  Sets the paint for the annotation.

  Parameters:
    `paint` - the paint.

### getTextAnchor

    public org.jfree.ui.TextAnchor getTextAnchor()

  Returns the text anchor.

  Returns:
    The text anchor.

### setTextAnchor

    public void setTextAnchor(org.jfree.ui.TextAnchor anchor)

  Sets the text anchor (the point on the text bounding rectangle that is aligned to the (x, y) coordinate of the annotation).

  Parameters:
    `anchor` - the anchor point.

### getRotationAnchor

    public org.jfree.ui.TextAnchor getRotationAnchor()

  Returns the rotation anchor.

  Returns:
    The rotation anchor point.

### setRotationAnchor

    public void setRotationAnchor(org.jfree.ui.TextAnchor anchor)

  Sets the rotation anchor point.

  Parameters:
    `anchor` - the anchor.

### getRotationAngle

    public double getRotationAngle()

  Returns the rotation angle.

  Returns:
    The rotation angle.

### setRotationAngle

    public void setRotationAngle(double angle)

  Sets the rotation angle.

  The angle is measured clockwise in radians.

  Parameters:
    `angle` - the angle (in radians).

### equals

    public boolean equals(java.lang.Object object)

  Tests this object for equality with another object.

  Parameters:
    `object` - the object.
  Returns:
    `true` or `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD